Summary: AX-25 Tools
Name: ax25-tools
Version: 0.0.6
Release: 13
License: GPL
Group: Applications/Communications
Source0: ftp://ftp.linux.org.au/pub/radio/ax25/ax25-tools-%{version}.tar.gz
Source1: ax25d.init
Source2: mheardd.init
Source3: netromd.init
Patch0: ax25-tools-0.0.5-n3npq.patch
Patch1: ax25-tools-0.0.5-oh2bns.patch
Patch2: timer.patch
Patch3: ax25-tools-0.0.6-osockaddr.patch
BuildRequires: libax25 libax25-devel
Obsoletes: ax25-utils
PreReq: /sbin/chkconfig , /sbin/service
BuildRoot: /var/tmp/%{name}-root

%description
AX-25 Hamradio network tools

%prep
%setup -q

# XXX not needed for ax25-tools-0.0.6
#%patch0 -p1 -b .n3npq
#%patch1 -p1 -b .oh2bns
%patch2 -p1 -b .timer
%patch3 -p1 -b .osockaddr

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=${RPM_BUILD_ROOT} install installconf

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
cp %SOURCE1 $RPM_BUILD_ROOT/etc/rc.d/init.d/ax25d
cp %SOURCE2 $RPM_BUILD_ROOT/etc/rc.d/init.d/mheardd
cp %SOURCE3 $RPM_BUILD_ROOT/etc/rc.d/init.d/netromd

strip $RPM_BUILD_ROOT/usr/{bin,sbin}/* ||:

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add ax25d 
/sbin/chkconfig --add mheardd
/sbin/chkconfig --add netromd

%preun
if [ "$1" = "0" ]; then
		/sbin/service ax25 stop > /dev/null 2>&1
		/sbin/service mheardd stop > /dev/null 2>&1
		/sbin/service netromd stop > /dev/null 2>&1
    /sbin/chkconfig --del ax25d 
    /sbin/chkconfig --del mheardd
    /sbin/chkconfig --del netromd
fi

%postun
if [ "$1" -ge "1" ]; then
	/sbin/service ax25 condrestart > /dev/null 2>&1
	/sbin/service mheardd condrestart > /dev/null 2>&1
	/sbin/service netromd stop > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc AUTHORS NEWS README
%doc dmascc/README.dmascc
%doc user_call/README.user_call
%doc tcpip/ttylinkd.README tcpip/ttylinkd.INSTALL
%doc yamdrv/README.yamdrv yamdrv/yam08*-patch.diff

%config(noreplace)	/etc/ax25/ax25.profile
%config(noreplace)	/etc/ax25/ax25d.conf
%config(noreplace)	/etc/ax25/axspawn.conf
%config(noreplace)	/etc/ax25/nrbroadcast
%config(noreplace)	/etc/ax25/rip98*.conf
%config(noreplace)	/etc/ax25/rxecho.conf
%config(noreplace)	/etc/ax25/ttylinkd.conf

%config(noreplace)	/etc/rc.d/init.d/ax25d
%config(noreplace)	/etc/rc.d/init.d/mheardd
%config(noreplace)	/etc/rc.d/init.d/netromd

%dir			/var/ax25/mheard
%config(noreplace)	/var/ax25/mheard/mheard.dat

%{_prefix}/bin/*
%{_prefix}/sbin/*
%{_mandir}/*/*

%changelog
* Thu Feb 15 2001 Nalin Dahyabhai <nalin@redhat.com>
- sort out osockaddr/sockaddr weirdness in ttylinkd

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- fixed initscripts to ready them for translations should they need it

* Fri Jul 28 2000 Tim Powers <timp@redhat.com>
- fixed condrestart portions of initscripts so that it doesn't return an exit
  status of 1 if the test fails

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- initscripts back to /etc/rc.d/init.d
- use service instead of calling the initscript directly, helps maint. a bit
  easier
* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Jul 06 2000 Tim Powers <timp@redhat.com>
- fixed PreReq for /etc/init.d

* Tue Jun 27 2000 Tim Powers <timp@redhat.com>
- require initscripts >= 5.20 

* Mon Jun 26 2000 Tim Powers <timp@redhat.com>
- fixed inits to be in /etc/init.d
- added condrestart to the inits

* Mon Jun 5 2000 Tim Powers <timp@redjhat.com>
- fixed mandir location to be %{_mandir}

* Tue May 2 2000 Tim Powers <timp@redhat.com>
- rebuilt for 7.0

* Thu Feb 10 2000 Tim Powers <timp@redhat.com>
- gzip man pages
- strip binaries

* Wed Jan  5 2000 Jeff Johnson <jbj@redhat.com>
- update to 0.0.6.

* Wed Sep  1 1999 Jeff Johnson <jbj@redhat.com>
- Create.
